API Reference

Extend a QoD session v1.1

Extend the overall session duration of an active QoS session (with qosStatus = AVAILABLE).
The overall duration of the QoS session, including the additional extended duration, shall not exceed the maximum duration limit fixed for the QoS Profile. If the current duration plus the value of requestedAdditionalDuration exceeds the maximum limit, the new overall duration shall be capped to the maximum value allowed.
An example: For a QoS profile limited to a maxDuration of 50,000 seconds, a QoD session was originally created with duration 30,000 seconds. Before the session expires, the developer requests to extend the session by another 30,000 seconds:

  • Previous duration: 30,000 seconds
  • Requested additional duration: 30,000 seconds
  • New overall session duration: 50,000 seconds (the maximum allowed)

NOTES:

  • The access token may be either 2-legged or 3-legged.
  • If a 3-legged access token is used, the subject associated with the session must also be associated with the access token.
  • The session must must have been created by the same API consumer given in the access token

Check the Authorization guide on how to get an OAuth2 token, with the following scope:

dpv:RequestedServiceProvision#qod

Create an app on our Sandbox to get credentials and retrieve tokens so you can perform API calls to our operators' production environments, or use the following convenience token to test in mock mode:

mock_sandbox_access_token

Path Params
uuid
required

Session ID that was obtained from the createSession operation

Body Params

Parameters to extend the duration of an active session

Attributes required to extend the duration of an active session

int32
required
≥ 1

Additional duration in seconds to be added to the current session duration. The overall session duration, including extensions, shall not exceed the maximum duration limit for the QoS Profile.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json